package net.sf.basedb.examples.extensions.xjsp;

import javax.servlet.jsp.PageContext;

import net.sf.basedb.clients.web.Base;
import net.sf.basedb.core.DbControl;
import net.sf.basedb.core.SessionControl;
import net.sf.basedb.core.User;

/**
	Demonstrates the use of classes from the extension JAR file in
	a custom X-JSP page.
	@author nicklas
*/
public class HelloXJspWorld 
{

	private final SessionControl sc;
	public HelloXJspWorld(PageContext pageContext)
	{
		this.sc = Base.getExistingSessionControl(pageContext, true);
	}
	
	/**
		Get the current session ID
		@see SessionControl#getId()
	*/
	public String getSessionId()
	{
		return sc.getId();
	}
	
	/**
		Get the current logged in user
		@see SessionControl#getLoggedInUserId()
	*/
	public User getLoggedInUser()
	{
		DbControl dc = sc.newDbControl();
		try
		{
			return User.getById(dc, sc.getLoggedInUserId());
		}
		finally
		{
			if (dc != null) dc.close();
		}
	}
	
}
